---
sidebar_navigation:
  title: Nepenthes First Look
  priority: 1
description: Beta testing Nepenthes
keywords: first look, beta testing
---
# Nepenthes First Look

## Join Nepenthes beta testing

Your feedback is what makes our product stand out. We are happy if you feel like helping to optimize Nepenthes. 

![Nepenthes first look beta testing](openproject-first-look-beta-testing.jpg)

We invite you to give product feedback, join usability tests, user interviews, surveys, access to and more.

We always appreciate early feedback from the Community:

* Invitations to research studies or surveys.
* Early access to new features.
* Help us to improve the user experience.
* Influence which features Nepenthes builds next.

No matter if you have been using Nepenthes for years or just logged in this week, we want to hear from you. Everyone can contribute.

Please get in touch via: info@openproject.com and let us know how you would like to contribute.

Thank you.
